package dk.apaq.crud.example;

import dk.apaq.crud.Crud;
import dk.apaq.crud.core.CollectionCrud;
import dk.apaq.filter.Filter;
import dk.apaq.filter.core.LikeFilter;
import dk.apaq.filter.sort.Sorter;
import java.util.Arrays;
import java.util.List;

/**
 * Hello world!
 *
 */
public class App 
{
    
    public static void main( String[] args )
    {

        // Create a list of planets
        List<Planet> planets = Arrays.asList(new Planet[]{
            new Planet("Earth", 7000000000L), new Planet("Pluto", 0)
        });
        
        //Create crud with our own IdResolver (the resolver is optional)
        Crud.Filterable<String, Planet> crud = new CollectionCrud<Planet>(planets);
        
        //Get id of first planet and read it from the crud
        String id = crud.listIds().get(0);
        Planet p = crud.read(id);
        
        //Or get i directly
        p = crud.list().get(0);
        
        //Filter the result
        Filter filter = new LikeFilter("name", "ea*");
        List<Planet> result = crud.list(filter, new Sorter("name"));
        System.out.println("No of matches: " + result.size());
        
    }
}
